Class | Chef::SolrQuery::SolrHTTPRequest
In: | lib/chef/solr_query/solr_http_request.rb
Parent: | Object

### Methods

escape http_client http_client new request_failed! run select solr_url solr_url solr_url= update url_join

### Constants

CLASS_FOR_METHOD | = | {:GET => Net::HTTP::Get, :POST => Net::HTTP::Post}
UPDATE_URL | = | '/solr/update'
TEXT_XML | = | {"Content-Type" => "text/xml"}

### Public Class methods

escape(s)
http_client()
new(method, url, headers=nil) {|@request if block_given?| ...}
select(params={})
solr_url()
solr_url=(solr_url)
update(doc)
url_join(params_hash={})

### Public Instance methods

http_client()
request_failed!(response, description='HTTP call')
run(description="HTTP Request to Solr")
solr_url()

[Validate]